package jumapacelaya.gob.mx.vv.dto;

import jakarta.validation.constraints.NotBlank;

public class citaDTO {
    @NotBlank
    private Integer ppuntoid;
    @NotBlank
    private String ptipotramite;
    @NotBlank
    private String pdia;
    @NotBlank
    private String phorario;
    @NotBlank
    private String ptelefono;
    @NotBlank
    private String pemail;

    // Getters y setters
    public Integer getPpuntoid() { return ppuntoid; }
    public void setPpuntoid(Integer ppuntoid) { this.ppuntoid = ppuntoid; }

    public String getPtipotramite() { return ptipotramite; }
    public void setPtipotramite(String ptipotramite) { this.ptipotramite = ptipotramite; }

    public String getPdia() { return pdia; }
    public void setPdia(String pdia) { this.pdia = pdia; }

    public String getPhorario() { return phorario; }
    public void setPhorario(String phorario) { this.phorario = phorario; }

    public String getPtelefono() { return ptelefono; }
    public void setPtelefono(String ptelefono) { this.ptelefono = ptelefono; }

    public String getPemail() { return pemail; }
    public void setPemail(String pemail) { this.pemail = pemail; }
}
